/* Procedimiento REXX para eliminar un 'skin' del Qu-Player              */
/* Nombre: skindele.cmd                                                  */
/* Versin original: Salvador Parra Camacho                              */
/* Versin (16 de agosto de 2001): 2.0 por Salvador Parra Camacho        */
/* Versin actual (27 de agosto de 2001): 2.1 por Salvador Parra Camacho */

parse arg skin

select
	when skin='' then do
		say ''
		say 'Sintaxis incorrecta: debe introducir los parmetros.'
		call syntax
		end
	when skin='/?' then
		call syntax
	when skin='/v' then
		call version
	otherwise
		'@attrib -r -h -s '||skin
		'@del '||skin
		call skinscan
end

exit

syntax:
say ''
say 'Sintaxis: skinshft [opciones]'
say '			/?: muestra esta ayuda.'
say '			/v: muestra la versin.'
say '			"skin": borra el "skin" indicado.'
say ''
exit

version:
say ''
say 'skindele (eliminador de "skins" del Qu Player): versin 1.0.'
say 'Por Salvador Parra Camacho.'
say ''
exit