/* Procedimiento REXX para escanear los 'skins' del Qu-Player               */
/* Nombre: skinscan.cmd                                                     */
/* Versin original (5 de agosto de 2001): 1.0 por Salvador Parra Camacho   */
/* Versin (6 de agosto de 2001): 2.0 por Salvador Parra Camacho            */
/* Versin (12 de agosto de 2001): 2.1 por Salvador Parra Camacho           */
/* Versin actual (1 de septiembre de 2001): 2.2 por Salvador Parra Camacho */
/* Versin actual (4 de septiembre de 2001): 2.3 por Salvador Parra Camacho */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

call RxFuncAdd 'WPToolsLoadFuncs', 'WPTOOLS', 'WPToolsLoadFuncs'
call WPToolsLoadFuncs

skinsdir=directory()
qu2dir=delstr(skinsdir, lastpos('\', skinsdir))
utilsdir=qu2dir||'\utils'

call SysFileTree '.\*.skn', skin, 'FO'

if WPToolsFolderContent('<QU099CSKINSHFT>', 'todelete.')=0 then do
	say ''
	say 'No existe la carpeta "Cambiar skin".'
	end
else
	call destroy
if WPToolsFolderContent('<QU099CSKINDELE>', 'todelete.')=0 then do
	say ''
	say 'No existe la carpeta "Eliminar skin".'
	end
else
	call destroy

call create

exit

create:

call SysCreateObject 'WPFolder', 'Utilidades Qu Player', '<QU099CFOLDER>', 'OBJECTID=<QU099CUTILS>', 'UPDATE'

call SysCreateObject 'WPFolder', 'Cambiar skin', '<QU099CUTILS>', 'OBJECTID=<QU099CSKINSHFT>', 'REPLACE'

call SysCreateObject 'WPFolder', 'Eliminar skin', '<QU099CUTILS>', 'OBJECTID=<QU099CSKINDELE>', 'REPLACE'

call SysCreateObject 'WPProgram', 'Actualizar los skins', '<QU099CUTILS>', 'EXENAME='||skinsdir||'\SKINSCAN.CMD;STARTUPDIR='||skinsdir||';OBJECTID=<SKINSCAN>;MINIMIZED=YES', 'REPLACE'

do i=1 to skin.0

	objectname=delstr(substr(skin.i, lastpos( '\', skin.i)+1), lastpos( '.', substr(skin.i, lastpos( '\', skin.i)+1)))

	call SysCreateObject 'WPProgram', objectname, '<QU099CSKINSHFT>', 'EXENAME='||skinsdir||'\SKINSHFT.CMD;PARAMETERS='skin.i';PROGTYPE=WINDOWABLEVIO;STARTUPDIR='||skinsdir||';MINIMIZED=YES;OBJECTID=<QU099CSKINSHFT_'translate(objectname)'>', 'UPDATE'

	call SysCreateObject 'WPProgram', objectname, '<QU099CSKINDELE>', 'EXENAME='||skinsdir||'\SKINDELE.CMD;PARAMETERS='skin.i';PROGTYPE=WINDOWABLEVIO;STARTUPDIR='||skinsdir||';MINIMIZED=YES;OBJECTID=<QU099CSKINDELE_'translate(objectname)'>', 'UPDATE'

end
exit

destroy:
do i=0 to todelete.0
say todelete.i
call SysDestroyObject todelete.i
end
return