/* Instala las Utilidades Qu Player creando sus objetos de programa */
/* Ejecuta este procedimiento REXX escribiendo su nombre en lnea   */
/* de comandos o pinchando dos veces sobre el archivo en el WPS.    */
/*                                                                  */
/* Nombre: install.cmd                                              */
/* Versin original (16 de agosto de 2001): 1.0 por Salvador Parra  */
/* Camacho                                                          */
/* Versin actual (31 de agosto de 2001): 2.0 por Salvador Parra    */
/* Camacho                                                          */

signal on halt name stopped

call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs

utilsdir=directory()
qu2dir=delstr(utilsdir, lastpos('\', utilsdir))
skinsdir=qu2dir||'\skins'

say ''
say 'Instalando...'
say ''
say 'Directorio del Qu-Player: '||qu2dir
say 'Directorio de utilidades: '||utilsdir
say 'Directorio de "skins": '||skinsdir
say ''
say 'Si quiere continuar el proceso de instalacin pulse cualquier tecla'
say 'en caso contrario pulse Ctrl-C para detener el proceso de instalacin.'
say ''

call SysGetKey 'NOECHO'

say 'Creando la carpeta de utilidades...'
say ''

if SysCreateObject('WPFolder', 'Utilidades Qu Player', '<QU099CFOLDER>', 'ALWAYSSORT=YES;OBJECTID=<QU099CUTILS>', 'UPDATE') then

do

say 'La carpeta de utilidades fue creada con xito.'
say ''

call CreateObjects

end

exit

else

say 'No se ha podido crear la carpeta "Utilidades Qu Player" comprueba que existe'
say 'la carpeta "Qu-Player Kit/2 v0.99c" y que tiene asignada la identidad '
say '"<QU099CFOLDER>"...'
say 'Si a pesar de esto desea continuar con la instalacin pulse cualquier tecla'
say 'y se intentar crear la carpeta en el escritorio, en caso contrario, para'
say 'detener la instalacin pulse Ctrl-C.'
say ''

call SysGetKey 'NOECHO'

call SysCreateObject 'WPFolder', 'Utilidades Qu Player', '<WP_DESKTOP>', 'ALWAYSSORT=YES;OBJECTID=<QU099CUTILS>', 'UPDATE'

call CreateObjects

exit

CreateObjects:

say 'Creando objetos de programa...'
say ''

objectname='Auto Qu-Player PM/2'
call CreateSingleObject 'EXENAME='||utilsdir||'\AUTOQUPM.CMD;STARTUPDIR='||utilsdir||';OBJECTID=<AUTOQUPM>;MINIMIZED=YES'

objectname='Scan MP3s'
call CreateSingleObject 'EXENAME='||utilsdir||'\SCANMP3S.CMD;STARTUPDIR='||utilsdir||';OBJECTID=<SCANMP3S>;MINIMIZED=NO'

objectname='Qutag Now!'
call CreateSingleObject 'EXENAME='||utilsdir||'\QUTAGNOW.CMD;STARTUPDIR='||utilsdir||';OBJECTID=<QUTAGNOW>;MINIMIZED=YES'

objectname='Minta Now!'
call CreateSingleObject 'EXENAME='||utilsdir||'\MINTANOW.CMD;STARTUPDIR='||utilsdir||';OBJECTID=<MINTANOW>;MINIMIZED=YES'

objectname='Qu-Player Pipe 2 SysBar/2 Pipe'
call CreateSingleObject 'EXENAME='||utilsdir||'\QUP2SBP.CMD;STARTUPDIR='||utilsdir||';OBJECTID=<QUP2SBP>;MINIMIZED=YES'

objectname='Colocar en la esquina'
call CreateSingleObject 'EXENAME='||skinsdir||'\SKINCRNR.CMD;STARTUPDIR='||skinsdir||';OBJECTID=<SKINCRNR>;MINIMIZED=YES'

objectname='Manual'
call CreateSingleObject 'EXENAME=VIEW.EXE;PARAMETERS='||utilsdir||'\QUTILS.INF;OBJECTID=<QUTILSMAN>'

say 'Creando los objetos de programa para actualizar, cambiar y eliminar skins...'
say ''

call "..\skins\skinscan.cmd"

say 'Instalacin finalizada.'
say ''

exit

CreateSingleObject:
parse arg setupstring
rc=SysCreateObject( 'WPProgram', objectname, '<QU099CUTILS>', setupstring, 'REPLACE')
if rc then say objectname||' ha sido creado.'
say ''
return

stopped:
say 'Proceso de instalacin detenido por el usuario.'
say ''
signal on halt name stopped
exit