/* Qu2Status.cmd modificado para ser 'script' de IRC                         */
/* Nombre: qu2irc.cmd                                                        */
/* Versin original(4 de septiembre de 2001): 1.0 por Salvador Parra Camacho */
/* Versin actual(4 de septiembre de 2001): 1.0 por Salvador Parra Camacho   */
/* Vlido para OpenChat/2, ircII y ezIRC (tambin para mIRC?).              */
/* Openchat/2 e ircII: coloca el "script" en un lugar del PATH, eso te       */
/* permite ejecutarlo con /exec  /exec -o, y define un alias si lo deseas.  */
/* ezIRC: coloca el "script" en el subdirectorio "alias" y modifica el       */
/* archivo "ezirc.als" aadiendo el alias que deseas.                        */


parse arg window nick trash

call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs

call lineout '\pipe\qu2', 'info'
info=linein('\pipe\qu2')
if info='' then do
    call lineout '\pipe\qu2', 'filename'
    filename=linein('\pipe\qu2')
    if filename='' then
        info='silence'
    else
    do
        longname=QueryLongName(filename)
        if longname='' then
            info=substr(filename, lastpos('\', filename)+1)
        else
            info=longname
    end
end
str='/me est escuchando: '||info /* Lnea propia de ezIRC */
say 'Estoy escuchando: '||info /* Lnea propia de OpenChat/2 e IRCII */
return str

QueryLongName: procedure
    parse arg filename
    EAT_ASCII='fdff'x
    if SysGetEA(filename, '.longname', 'longname')\=0 then
        return ''
    parse var longname type 3 len 5 longname
    if type=EAT_ASCII then
    do
        len=c2d(reverse(len))
        return left(longname, len)
    end
return ''