/* "Demonio" que crea un "pipe" para el "SysBar/2 Pipe Monitor"             */
/* Nombre: qup2sbp.cmd (QU-player/2 Pipe 2 SysBar/2 Pipe)                   */
/* Versin original (20 de agosto de 2001): 1.0 por Salvador Parra Camacho  */
/* Versin (20 de agosto de 2001): 1.1 por Salvador Parra Camacho           */
/* Versin actual (3 de septiembre de 2001): 1.2 por Salvador Parra Camacho */
/* Nota: Este programa hubiese sido imposible sin los procedimientos REXX   */
/* includos como ejemplo en el SysBar/2 0.18 y en el wpsbara...            */
/* y por supuesto el Qu2stat.cmd al cual pertenece gran cantidad de cdigo. */

call RxFuncAdd 'SysSleep', 'RexxUtil', 'SysSleep'

do forever
	call ReportQu2Status
end
exit

ReportQu2Status:
    qu2pipe='\pipe\qu2'
    call stream qu2pipe, 'c', 'open'
    call lineout qu2pipe, 'info'
    info=linein(qu2pipe)
	call lineout qu2pipe, 'filename'
	filename=linein(qu2pipe)
			if filename='' then
        			playing='---'
    			else
    			do
        			longname=QueryLongName(filename)
        			if longname='' then
            			playing=substr(filename, lastpos('\', filename)+1)
        			else
            			playing=longname
    			end
	if info='' then do
	info=playing
	end
	'@echo 'info' > \pipe\sb2_qinfo'
    say 'Cancin: '||info
    '@echo 'filename' > \pipe\sb2_qfile'
    say 'Archivo: '||filename
    call stream qu2pipe, 'c', 'close'
    say ''
    call SysSleep 2
return

QueryLongName: procedure
    parse arg filename
    EAT_ASCII='fdff'x
    if SysGetEA(filename, '.longname', 'longname')\=0 then
        return ''
    parse var longname type 3 len 5 longname
    if type=EAT_ASCII then
    do
        len=c2d(reverse(len))
        return left(longname, len)
    end
return ''
