/* Busca MP3s y genera un archivo de configuracin para el autoqupm          */
/* Nombre: scanmp3s.cmd                                                      */
/* Versin original: 2.0 por Alfredo Fernndez Daz y Salvador Parra Camacho */
/* Versin actual (1 de septiembre de 2001): 2.1 por Salvador Parra Camacho  */
/* Versin actual (3 de septiembre de 2001): 2.2 por Salvador Parra Camacho  */

parse arg alldrives

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

cfg='autoqupm.cfg'

signal on halt name stopped

call SysCls

'@attrib -r -h -s '||cfg||' 1>nul 2>&1'
'@del '||cfg||' 1>nul 2>&1'

if alldrives='' then do
alldrives=SysDriveMap('c:')
say ''
say 'Las unidades disponibles son:'
say alldrives
say ''
drivesnumber=words(alldrives)
end
else
drivesnumber=words(alldrives)

do k=1 to drivesnumber
actualdrive=word(alldrives, k)
say 'Buscando en la unidad: '||actualdrive||'...'
call SysFileTree actualdrive||'\*mp3', dato, 'SOF'
say 'Terminado'
say 'Aadiendo directorios a la lista...'
do i=1 to dato.0
   dato.i=substr(dato.i,1,lastpos('\',dato.i)-1)
   j=i-1
   if dato.i<>dato.j then do
     call lineout cfg, dato.i
   end
  end
say 'Terminado'
say ''
end
say 'Se termin de generar la lista.'
say ''
exit

stopped:
say 'Proceso detenido por el usuario.'
say ''
signal on halt name stopped
exit