/* Procedimiento REXX para cambiar de 'skin' del Qu-Player              */
/* Nombre: skinshft.cmd                                                 */
/* Versin original: Salvador Parra Camacho                             */
/* Versin actual (5 de agosto de 2001): 2.0 por Salvador Parra Camacho */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse arg skin

select
	when skin='' then do
		say ''
		say 'Sintaxis incorrecta: debe introducir los parmetros.'
		call syntax
		end
	when skin='/?' then
		call syntax
	when skin='/v' then
		call version
	otherwise
		'@copy '||skin||' ..\qupm.skn'
		exit
end

syntax:
say ''
say 'Sintaxis: skinshft [opciones]'
say '			/?: muestra esta ayuda.'
say '			/v: muestra la versin.'
say '			"skin": sustituye el "skin" en uso por el indicado.'
say ''
exit

version:
say ''
say 'skinshft (cambiador de "skins" del Qu Player): versin 2.0.'
say 'Por Salvador Parra Camacho.'
say ''
exit